Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.ingres
Class IngresPkGenerator

    java.lang.Object
      org.apache.cayenne.dba.JdbcPkGenerator
          org.apache.cayenne.dba.oracle.OraclePkGenerator
              org.apache.cayenne.dba.ingres.IngresPkGenerator

All Implemented Interfaces:
  PkGenerator

    public class IngresPkGenerator

extends OraclePkGenerator

Ingres-specific sequence based PK generator.

Since:
  1.2

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`DEFAULT_PK_CACHE_SIZE, pkCache, pkCacheSize`

Constructor Summary
`IngresPkGenerator()`

Method Summary
`protected List<String>` | `getExistingSequences(DataNode node)` Fetches a list of existing sequences that might match Cayenne generated ones.
`protected long` | `longPkFromDatabase(DataNode node, DbEntity entity)` Generates primary key by calling Oracle sequence corresponding to the `dbEntity`.
`protected int` | `pkFromDatabase(DataNode node, DbEntity ent)` Deprecated. since 3.0

Methods inherited from class org.apache.cayenne.dba.oracle.OraclePkGenerator
`createAutoPk, createAutoPkStatements, createSequenceString, dropAutoPk, dropAutoPkStatements, dropSequenceString, pkCacheSize, sequenceName, stripSchemaName`

Methods inherited from class org.apache.cayenne.dba.JdbcPkGenerator
`autoPkTableExists, binaryPK, dropAutoPkString, generatePk, generatePkForDbEntity, getPkCacheSize, pkCreateString, pkDeleteString, pkSelectString, pkTableCreateString, pkUpdateString, reset, runUpdate, setPkCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IngresPkGenerator

    public IngresPkGenerator()

Method Detail

### longPkFromDatabase

    protected long longPkFromDatabase(DataNode node,
                                      DbEntity entity)
                               throws Exception

  Description copied from class: `OraclePkGenerator`
  Generates primary key by calling Oracle sequence corresponding to the `dbEntity`. Executed SQL looks like this:

         SELECT pk_table_name.nextval FROM DUAL

  Overrides:
    `longPkFromDatabase` in class `OraclePkGenerator`
  Throws:
    `Exception`

### pkFromDatabase

    protected int pkFromDatabase(DataNode node,
                                 DbEntity ent)
                          throws Exception

  Deprecated. since 3.0

  Generates primary key by calling Oracle sequence corresponding to the `dbEntity`. Executed SQL looks like this:

           SELECT nextval(pk_table_name)

  Overrides:
    `pkFromDatabase` in class `OraclePkGenerator`
  Throws:
    `Exception`

### getExistingSequences

    protected List<String> getExistingSequences(DataNode node)
                                         throws SQLException

  Description copied from class: `OraclePkGenerator`
  Fetches a list of existing sequences that might match Cayenne generated ones.

  Overrides:
    `getExistingSequences` in class `OraclePkGenerator`
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.